Skip to Content
REST APIEndpointsEndpoints Overview

Endpoints Overview

All endpoints are under the base URL https://getnextstep.io/api/v1.

Every request must include an Authorization: Bearer nxs_live_... header.

Process Templates

Templates are the blueprints for your processes.

MethodPathDescription
GET/process-templatesList all templates
GET/process-templates/:idGet a single template
GET/process-templates/:id/tasksList tasks in a template

Process Runs

Runs are active or completed instances of a template.

MethodPathDescription
GET/process-runsList runs
POST/process-runsCreate a new run
GET/process-runs/:idGet a single run
GET/process-runs/:id/tasksList tasks in a run

Tasks

Update tasks within a running process instance.

MethodPathDescription
GET/process-runs/:id/tasks/:taskIdGet a task
PATCH/process-runs/:id/tasks/:taskIdUpdate a task
Last updated on